[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# EDuplicate

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when a key is stored twice in a hash table.

## Declaration

Source position: contnrs.pp line 479

`type EDuplicate = class(Exception) ;`

## Inheritance

`EDuplicate` |  | Exception raised when a key is stored twice in a hash table.
`Exception`
`TObject`

## See also

TFPCustomHashTable.Add |  | Add a new key and its associated data to the hash.

Documentation generated on: Feb 26 2014